Author Topic: IAR compiler  (Read 2694 times)

Offline bert

  • Newbie
  • *
  • Posts: 15
    • View Profile
IAR compiler
« on: March 10, 2008, 06:52:24 PM »
Are there any constrains in what version of compiler to use?
I'm planing to use IAR EW2.44
Do I have to make any specific adaptions for this version?

Thanks!
/Bert

Offline mark

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3013
    • View Profile
    • uTasker
Re: IAR compiler
« Reply #1 on: March 10, 2008, 07:10:44 PM »
Hi Bert

I don't think that there will be any difficulties, whatever version of IAR you use.
The only possible nuissance with IAR workbench is that newer versions are not always backward compatible with regards to the workspace - this means that if a project is saved in a newer version, older versions possibly can no longer open the project (keeping a project backup for emergencies is recommended).

I have used several different versions and, apart from workspace issue, the code has always operated (new compiler bugs can however never be totally excluded).

Regards

Mark